Skip to content
Shortcut: /, ⌘K or Ctrl+K

Features

View as Markdown

Evaluate features

POST/messaging/features/evaluateMessaging API
Base URL
https://api.polymorfa.com

Returns feature decisions for the authenticated team or project. Client credentials cannot access this operation. Machine requests do not record experiment exposure.

Body

  • surfacestringrequiredmax length100pattern^[a-z][a-z0-9]*(?:[.-][a-z0-9]+)*$

    Specifies surface for this schema.

  • keysarray of stringrequiredmax items50item max length100item pattern^[a-z][a-z0-9]*(?:[.-][a-z0-9]+)*$

    Keys associated with this schema.

  • measurementAllowedbooleandeprecated

    Deprecated. Has no effect on native operational experiment measurement.

    Default false
  • localestring

    Specifies locale for this schema.

    Allowed valuesenpt-BR
    Default "en"

Responses

  • 200Feature decisions
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataarray of objectrequired

      Structured data carried by this object.

      Show 12 child fields
    Show 3 headers
  • 400Invalid feature request
  • 401Authentication required
  • 403Credential cannot access feature evaluation
  • 413Request exceeds 16 KiB
POST /messaging/features/evaluatecURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/features/evaluate" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "surface": "string",
  "keys": [
    "string"
  ]
}'
Response
{
  "success": true,
  "data": [
    {
      "decision": {
        "key": "string",
        "version": 0,
        "available": true,
        "enrolled": true,
        "variant": null,
        "experimentRevision": null,
        "experimentAssigned": false
      },
      "experiments": [
        {
          "key": "string",
          "variant": "string",
          "revision": 0,
          "assigned": true
        }
      ],
      "title": "string",
      "description": "string",
      "state": "off",
      "termsRevision": "string",
      "terms": "string",
      "withdrawal": "string",
      "enrollmentSource": "customer",
      "changedAt": "2026-09-22T12:00:00Z",
      "changedBy": {
        "kind": "member",
        "name": "string"
      },
      "exposureToken": null
    }
  ]
}